Bug 981796 - SELinux is preventing /usr/bin/pulseaudio from using the 'setcap' accesses on a process.
SELinux is preventing /usr/bin/pulseaudio from using the 'setcap' accesses on...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8389a52ec3c024073816d73ae8d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 16:38 EDT by christopher
Modified: 2014-12-19 13:29 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.30.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-19 13:29:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christopher 2013-07-05 16:38:08 EDT
Description of problem:
SELinux is preventing /usr/bin/pulseaudio from using the 'setcap' accesses on a process.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that pulseaudio should be allowed setcap access on processes labeled mozilla_plugin_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1
                              023
Target Objects                 [ process ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-3.0-10.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-57.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.x86_64 #1 SMP Thu
                              Jun 27 19:24:23 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-05 13:34:25 PDT
Last Seen                     2013-07-05 13:35:39 PDT
Local ID                      0975f93f-6856-4f89-9dba-1f7a3a8648b8

Raw Audit Messages
type=AVC msg=audit(1373056539.335:452): avc:  denied  { setcap } for  pid=2435 comm="pulseaudio" scontext=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1373056539.335:452): arch=x86_64 syscall=capset success=yes exit=0 a0=15f1044 a1=15f104c a2=15f1040 a3=0 items=0 ppid=2394 pid=2435 auid=1001 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=pulseaudio exe=/usr/bin/pulseaudio subj=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: pulseaudio,mozilla_plugin_t,mozilla_plugin_t,process,setcap

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2014-08-22 07:20:53 EDT
commit c9b3520241879e62351cd954d10874bd5c7f67cb
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Fri Aug 22 13:19:18 2014 +0200

    Allow mozilla_plugin_t to setcap (#981796)


https://github.com/selinux-policy/selinux-policy/commit/c9b3520241879e62351cd954d10874bd5c7f67cb
Comment 2 Fedora Update System 2014-12-03 07:53:16 EST
selinux-policy-3.12.1-74.30.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.30.fc19
Comment 3 Fedora Update System 2014-12-04 01:27:09 EST
Package selinux-policy-3.12.1-74.30.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.30.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16276/selinux-policy-3.12.1-74.30.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-12-19 13:29:18 EST
selinux-policy-3.12.1-74.30.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.